/*
 * Created on 2004-10-14
 *
 */
package org.fmi.bdi.helpers;

/**
 * @author IvoJekov
 *
 *	Wraps a record from TD_DOCUMENT_TYPE table
 */
public class DocumentType
{
	private int id;
	private String code;
	private String name;
	
	public DocumentType(int id, String code, String name)
	{
		this.id =id;
		this.code = code;
		this.name = name;
	}
	
	
	/**
	 * @return Returns the code.
	 */
	public String getCode()
	{
		return code;
	}

	/**
	 * @return Returns the description.
	 */
	public String getName()
	{
		return name;
	}

	/**
	 * @return Returns the id.
	 */
	public int getId()
	{
		return id;
	}

}
