/*
 * Created on 2004-10-14
 *
 */
package org.fmi.bdi.helpers;

/**
 * @author IvoJekov
 *
 * Wraps a record from T_SOURCE_SYSTEM table
 */
public class SourceSystem
{
	private int id;
	private String name;
	private String version;
	
	public SourceSystem(int id, String name, String version)
	{
		this.id = id;
		this.name = name;
		this.version = version;
	}

	/**
	 * @return Returns the id.
	 */
	public int getId()
	{
		return id;
	}

	/**
	 * @return Returns the name.
	 */
	public String getName()
	{
		return name;
	}

	/**
	 * @return Returns the version.
	 */
	public String getVersion()
	{
		return version;
	}

	public String getNameVersion()
	{
		String res = name;
		if (version != null)
			res += " " + version;
		
		return res;
	}
}
