/*
 * Created on 2004-8-13
 *
 */
package org.fmi.bdi.parser;

import org.fmi.bdi.helpers.BDIException;


/**
 * @author IvoJekov
 *
 * Used to validate the document against DTD
 */
public class DTDValidationParser extends ValidationParser
{
	private DoctypeEntityResolver doctypeResolver;
	
	public DTDValidationParser(String validationSourceURI) throws BDIException
	{
		super(validationSourceURI);
		
		doctypeResolver = new DoctypeEntityResolver(fValidationSourceURI);

		enableDTDValidation();
	}
	
	private void enableDTDValidation() throws BDIException
	{
		fParser.setEntityResolver(doctypeResolver);
	}
			
}
