<%@ page 	import="java.util.List,
					org.fmi.bdi.db.DBHelper,
					org.fmi.bdi.helpers.SourceSystem,
					org.fmi.bdi.helpers.DocumentType"
			errorPage="/jsp/errorPage.jsp" %>

<html>

	<head>
  		<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
  		<link rel="stylesheet" type="text/css" href="styles/main.css" title="Style">
		<script language="javascript">
			function checkParameters() 
			{
				var ssID = document.mainForm.sourceSystemId.value;
				if (ssID == -1) 
				{
					alert('Please, select Source System'); 
					document.mainForm.sourceSystemId.focus();
					return false;
				} 
			
				var dtID = document.mainForm.docTypeId.value;
				if (dtID == -1) 
				{
					alert('Please, select Document Type'); 
					document.mainForm.docTypeId.focus();
					return false;
				} 

				var fileName = document.mainForm.uploadedFile.value;
				if (fileName.length == 0) 
				{
					alert('Please, select document to transform'); 
					document.mainForm.uploadedFile.focus();
					return false;
				} 
		
				return true;
			}
		</script>
  		
	</head>

	<body>
     
	<br/>
	<br/>
     
	<h1 align="center">Transform incoming business document into the internal format</h1>			
<%
	List sourceSystems = DBHelper.getSourceSystems();
	List docTypes = DBHelper.getDocumentTypes();
%>
		<form name="mainForm" method="POST" action="./transformDoc" enctype="multipart/form-data">
			
			<table border="0" width="90%" cellspacing="0" cellpadding="0" align="left" >	
				<tr>		
					<td width="20%" nowrap><div class="label">Source&nbsp;System:</div></td>
					<td width="20%"> 
						<select name="sourceSystemId">
							<option value="-1">Select Source System</option>
<% 
	for (int i = 0; i < sourceSystems.size(); i++)				
	{
		SourceSystem ss = (SourceSystem) sourceSystems.get(i);
		int ssId = ss.getId();
		String ssName = ss.getNameVersion();
%>	
							<option  value="<%= ssId%>"><%=ssName%></option>
<% 
	}
%>					
						</select>
					</td>
					<td width="100%">&nbsp;</td>
				</tr>
				<tr>
					<td width="20%" nowrap><div class="label">Document&nbsp;Type:</div></td>
					<td width="20%">
						<select name="docTypeId">
							<option value="-1">Select Document Type</option>
<% 
	for (int i = 0; i < docTypes.size(); i++)				
	{
		DocumentType dt = (DocumentType) docTypes.get(i);
		int dtId = dt.getId();
		String dtName = dt.getName();
%>	
							<option  value="<%= dtId%>"><%=dtName%></option>
<% 
	}
%>					
						</select>
					</td>
					<td width="100%">&nbsp;</td>
				</tr>	
				<tr>			
					<td width="20%" nowrap><div class="label">Document&nbsp;to&nbsp;transform:</div></td>
					<td width="20%"><input name="uploadedFile" type="file" width="1000px"/><td>
					<td width="100%">&nbsp;</td>
				</tr>
				<tr>
					<td width="20%">&nbsp;</td>
					<td width="20%" align="right"><input type="submit" value="Transform" onclick="javascript:return checkParameters();"/></td>
					<td width="100%">&nbsp;</td>
				</tr>			
			</table>
		</form>
	</body>
</html>
