<%@ page 	import="org.fmi.bdi.web.multipart.ServletMultipartRequest,
					org.fmi.bdi.helpers.AppContext,
					org.fmi.bdi.helpers.Utils,
					org.fmi.bdi.document.GenericBDIDocumentWrapper,
					org.fmi.bdi.transformer.ITransformer,
					java.io.File"
			errorPage="/jsp/errorPage.jsp" %><%
			// directory where the file will be uploaded
			String uploadDir = AppContext.getInstance().getUploadDir();
			
			// parses the request 
			ServletMultipartRequest multi = new ServletMultipartRequest(request, uploadDir);
			File file = multi.getFile("uploadedFile");

			String sSSId = multi.getURLParameter("sourceSystemId");
			String sDTId = multi.getURLParameter("docTypeId");
			int ssId = Integer.parseInt(sSSId);
			int dtId = Integer.parseInt(sDTId);

			GenericBDIDocumentWrapper orderWrapper = new GenericBDIDocumentWrapper(ssId, dtId, file);
			
			// transform supplied document
			String transformerClassName = orderWrapper.getTransformerJavaClass();
			ITransformer trans = (ITransformer) Class.forName(transformerClassName).newInstance();
			trans.processDocument(orderWrapper);
			
			String transformedMsg = Utils.xmlToString(orderWrapper.getTransformedDocument());
			response.setContentType("text/xml");
			out.println(transformedMsg);
%>					
