/*
 * Created on 2004-8-14
 *
 */
package org.fmi.bdi.transformer;

import org.fmi.bdi.helpers.BDIException;

/**
 * @author IvoJekov
 *
 * All transformers should inherit this interface
 */
public interface ITransformer 
{
	/**
	 * Used to save incoming document, transform it and afterwards to save the resulting message
	 * @param inputDoc incoming document wrapper, it should be validated
	 *  
	 * @throws BDIException
	 */
	void processDocument(Object doc) throws BDIException;
}
